### A free/open-source library for quantitative finance

Public Member Functions
UpfrontCdsHelper Class Reference

Upfront-quoted CDS hazard rate bootstrap helper. More...

`#include <ql/termstructures/credit/defaultprobabilityhelpers.hpp>`

Inheritance diagram for UpfrontCdsHelper:
[legend]

List of all members.

## Public Member Functions

UpfrontCdsHelper (const Handle< Quote > &upfront, Rate runningSpread, const Period &tenor, Integer settlementDays, const Calendar &calendar, Frequency frequency, BusinessDayConvention paymentConvention, DateGeneration::Rule rule, const DayCounter &dayCounter, Real recoveryRate, const Handle< YieldTermStructure > &discountCurve, Natural upfrontSettlementDays=0, bool settlesAccrual=true, bool paysAtDefaultTime=true)

UpfrontCdsHelper (Rate upfront, Rate runningSpread, const Period &tenor, Integer settlementDays, const Calendar &calendar, Frequency frequency, BusinessDayConvention paymentConvention, DateGeneration::Rule rule, const DayCounter &dayCounter, Real recoveryRate, const Handle< YieldTermStructure > &discountCurve, Natural upfrontSettlementDays=0, bool settlesAccrual=true, bool paysAtDefaultTime=true)

Real | impliedQuote () const
void | initializeDates ()

## Detailed Description

Upfront-quoted CDS hazard rate bootstrap helper.

## Constructor & Destructor Documentation

UpfrontCdsHelper | ( | const Handle< Quote > & | upfront,
|  | Rate | runningSpread,
|  | const Period & | tenor,
|  | Integer | settlementDays,
|  | const Calendar & | calendar,
|  | Frequency | frequency,
|  | BusinessDayConvention | paymentConvention,
|  | DateGeneration::Rule | rule,
|  | const DayCounter & | dayCounter,
|  | Real | recoveryRate,
|  | const Handle< YieldTermStructure > & | discountCurve,
|  | Natural | upfrontSettlementDays = `0`,
|  | bool | settlesAccrual = `true`,
|  | bool | paysAtDefaultTime = `true`
| ) |  |

Note:
  the upfront must be quoted in fractional units.

UpfrontCdsHelper | ( | Rate | upfront,
|  | Rate | runningSpread,
|  | const Period & | tenor,
|  | Integer | settlementDays,
|  | const Calendar & | calendar,
|  | Frequency | frequency,
|  | BusinessDayConvention | paymentConvention,
|  | DateGeneration::Rule | rule,
|  | const DayCounter & | dayCounter,
|  | Real | recoveryRate,
|  | const Handle< YieldTermStructure > & | discountCurve,
|  | Natural | upfrontSettlementDays = `0`,
|  | bool | settlesAccrual = `true`,
|  | bool | paysAtDefaultTime = `true`
| ) |  |

Note:
  the upfront must be quoted in fractional units.